package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 课程知识点占用dto
 * @Author: CaoZixuan
 * @Date: 2024-02-28
 */
public class CourseDimensionOccupiedDto {
    @ApiModelProperty("课程目标id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long courseTargetId;

    @ApiModelProperty("知识点占用状态 true：被占用 false：未占用")
    private Boolean status;

    public Long getCourseTargetId() {
        return courseTargetId;
    }

    public void setCourseTargetId(Long courseTargetId) {
        this.courseTargetId = courseTargetId;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }
}
